## org.apache.lucene.util
Class ReaderUtil.Gather

    java.lang.Object
      org.apache.lucene.util.ReaderUtil.Gather

Enclosing class:
  ReaderUtil

    public abstract static class ReaderUtil.Gather

extends Object

Recursively visits all sub-readers of a reader. You should subclass this and override the add method to gather what you need.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`ReaderUtil.Gather(IndexReader r)`

Method Summary
`protected abstract void` `add(int base, IndexReader r)`
`int` `run()`
`int` `run(int docBase)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReaderUtil.Gather

    public ReaderUtil.Gather(IndexReader r)

Method Detail

### run

    public int run()
            throws IOException

  Throws:
    `IOException`

### run

    public int run(int docBase)
            throws IOException

  Throws:
    `IOException`

### add

    protected abstract void add(int base,
                                IndexReader r)
                         throws IOException

  Throws:
    `IOException`